#! /bin/csh -f
# cree le 26/03/94 pour version web2c 6.1
# modifie le :
#  : E.Picheral - 
# 01/03/95 : Yves Arrouye
# 14/03/95 : Yves Arrouye  RACINST => TEXMFUPD et TEXMFDIR
# 05/04/95 : Eric Picheral INDEXSTYLE pour LaTeX2e/LaTeX209
#	                   ajout TEXMFCNF
# 07/07/95 : Eric Picheral TEXMFDIR => TEXMF
# 12/07/95 : Eric Picheral MAPFILE => MTP_MAPFILE
# 27/10/95 : Eric Picheral distinction irix 4 et irix 5
# 25/03/96 : Eric Picheral correction setenv PATH si irix 5
# 29/10/96 : Eric Picheral modif, ajouts, suppressions
#                          noms repertoires des binaires
# 22/11/96 : Eric Picheral MTP_DESTDIR => MTPK_DESTROOT
# 29/11/96 : Eric Picheral ajout sparc Linux
# 20/12/96 : Eric Picheral TEXMF connu a l'exterieur
# 27/02/97 : Eric Picheral reset des variables au debut
# 15/04/97 : Eric Picheral correction AIX 4

unsetenv INDEXSTYLE BIBINPUTS BSTINPUTS TEXINPUTS TEXPOOL TEXFONTS TEXFORMATS
unsetenv MFBASES MFINPUTS MFPOOL PKFONTS TEXCONFIG DVIPSHEADERS VFFONTS TEXPICTS GFFONTS

setenv TEXMFUPD /usr/local/lib
setenv TEXMF $TEXMFUPD/texmf

if (${?MANPATH}) then
    setenv MANPATH $TEXMF/man:${MANPATH}
else
    setenv MANPATH $TEXMF/man:/usr/man:/usr/local/man
endif
# Pour MakeTeXPK
setenv MTPK_DESTROOT $TEXMF/fonts
setenv MTP_MAPFILE $TEXMF/dvips/psfonts.map


if (-e /bin/uname) then
  setenv SYST `/bin/uname -s`
  setenv MACHINE `/bin/uname -m`
  setenv VERSION `/bin/uname -v`
  setenv MAJ     `/bin/uname -r`
else if (-e /usr/5bin/uname) then
  setenv SYST `/usr/5bin/uname -s`
  setenv MACHINE `/usr/5bin/uname -m`
  setenv VERSION `/usr/5bin/uname -v`
  setenv MAJ     `/usr/5bin/uname -r`
else
  setenv SYST `uname -s`
  setenv MACHINE `uname -m`
  setenv VERSION `uname -v`
  setenv MAJ     `uname -r`
endif
endif

echo SYST=$SYST MACHINE=$MACHINE VERSION=$VERSION MAJ=$MAJ

switch ($SYST@@$MACHINE)
    case *@@sun4*:
	switch ($MAJ)
	    case 4.*:
        	setenv PATH "$TEXMF/bin/sparc_sunos4.1:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case 5.*:
        	setenv PATH "$TEXMF/bin/sparc_solaris:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case *:
		echo "TeX V3.1415 non genere pour cette architecture"
		breaksw
	endsw
	breaksw

    case  Linux@@sparc:
    	setenv PATH "$TEXMF/bin/sparc_linux:$PATH"
	setenv TEXMFCNF $TEXMF/web2c
	echo "FIN"
	unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
	exit
	breaksw

    case AIX@@*:
	switch ($VERSION)
	    case 3:
		setenv PATH "$TEXMF/bin/rs6000_aix3:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case 4:
        	setenv PATH "$TEXMF/bin/rs6000_aix4:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case *:
		echo "TeX V3.1415 non genere pour cette version d'AIX"
		breaksw
	endsw
	breaksw

    case BOSX@@*:
	switch ($VERSION)
	    case 3:
		setenv PATH "$TEXMF/bin/rs6000_aix3:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case 4:
        	setenv PATH "$TEXMF/bin/rs6000_aix4:$PATH"
		breaksw
	    case *:
		echo "TeX V3.1415 non genere pour cette version d'AIX"
		breaksw
	endsw
	breaksw

    case HP-UX@@*:
	switch ($MAJ)
	    case *.09.*:
		setenv PATH "$TEXMF/bin/hp9000_hpux9:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case *.10.*:
		setenv PATH "$TEXMF/bin/hp9000_hpux10:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case *:
		echo "TeX V3.1415 non genere pour cette version d'HP-UX"
		breaksw
	endsw
	breaksw

    case IRIX@@*:
	switch  ($MAJ)
	    case 4.*:
		setenv PATH "$TEXMF/bin/sgi_irix4:$PATH"
		breaksw
	    case 5.*:
		setenv PATH "$TEXMF/bin/sgi_irix5:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case 6.*:
		setenv PATH "$TEXMF/bin/sgi_irix6:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	endsw
	breaksw

    case OSF1@@alpha:
    	setenv PATH "$TEXMF/bin/alpha_osf1:$PATH"
	setenv TEXMFCNF $TEXMF/web2c
	echo "FIN"
	unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
	exit
	breaksw

    case ULTRIX@@RISC:
    	setenv PATH "$TEXMF/bin/dec3100_ultrix:$PATH"
	setenv TEXMFCNF $TEXMF/web2c
	echo "FIN"
	unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
	exit
	breaksw

    case *@@i*86*:
	switch  ($SYST)
	    case SunOS:
		setenv PATH "$TEXMF/bin/i86_solaris:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	    case Linux:
		setenv PATH "$TEXMF/bin/i86_linux:$PATH"
		setenv TEXMFCNF $TEXMF/web2c
		echo "FIN"
		unsetenv SYST MACHINE VERSION MAJ TEXMFUPD
		exit
		breaksw
	endsw
	breaksw

    case *:
	echo "TeX V3.1415 non gnr pour cette machine..."
	exit 1
	breaksw
endsw

# Repertoire ini, utilise seulement pour Irix 4

setenv INDEXSTYLE .:$TEXMF/tex/latex2e/indexstyles:$TEXMF/latex209/indexstyles
setenv BIBINPUTS  .:$TEXMF/bibtex/bib
setenv BSTINPUTS  .:$TEXMF/bibtex/bst
setenv TEXINPUTS  .:$TEXMF/tex//
setenv TEXPOOL    $TEXMF/ini
setenv TEXFONTS   .:$TEXMF/fonts/postscript/tfm:$TEXMF/fonts/tfm
setenv TEXFORMATS .:$TEXMF/ini
setenv MFBASES    .:$TEXMF/ini
setenv MFINPUTS   .:$TEXMF/mf//:$TEXMF/fonts/src//
setenv MFPOOL     $TEXMF/ini
setenv PKFONTS    .:$TEXMF/fonts/postscript/pk:$TEXMF/fonts/tmp/pk//:$TEXMF/fonts/pk//
setenv TEXCONFIG  .:~:$TEXMF/dvips
setenv DVIPSHEADERS .:$TEXMF/dvips:$TEXMF/fonts/postscript/type1
setenv VFFONTS    .:$TEXMF/fonts/postscript/vf:$TEXMF/fonts/vf
setenv TEXPICTS   .:$TEXMF/tex/ps
setenv GFFONTS    .:$TEXMF/fonts/gf

unsetenv TEXMFUPD
unsetenv SYST MACHINE VERSION MAJ
rehash
echo "FIN"
