#! /bin/sh

# Yves Arrouye, d'aprs E. Picheral
# 14/03/95: Y.A. RACINST => TEXMFUPD et TEXMFDIR
# 05/04/95: Eric Picheral INDEXSTYLE pour LaTeX2e/LaTeX209
#                         ajout TEXMFCNF
# 07/07/95 : Eric Picheral TEXMFDIR => TEXMF
# 12/07/95 : Eric Picheral MAPFILE => MTP_MAPFILE
# 27/10/95 : Eric Picheral distinction irix 4 et irix 5
# 29/10/96 : Eric Picheral modif, ajouts, suppressions
#                          noms repertoires des binaires
# 22/11/96 : Eric Picheral MTP_DESTDIR => MTPK_DESTROOT
# 29/11/96 : Eric Picheral ajout sparc Linux
# 20/12/96 : Eric Picheral TEXMF exporte
# 27/02/97 : Eric Picheral reset des variables au debut
# 15/04/97 : Eric Picheral correction AIX 4

unset INDEXSTYLE BIBINPUTS BSTINPUTS TEXINPUTS TEXPOOL TEXFONTS TEXFORMATS
unset MFBASES MFINPUTS MFPOOL PKFONTS TEXCONFIG DVIPSHEADERS VFFONTS TEXPICTS GFFONTS

TEXMFUPD=/usr/local/lib
TEXMF=$TEXMFUPD/texmf ; export TEXMF

if [ ".$MANPATH" = "." ]
then
    MANPATH=$TEXMF/man:/usr/man:/usr/local/man ; export MANPATH
else
    MANPATH=$TEXMF/man:$MANPATH ; export MANPATH
fi

if [ -f /bin/uname ]
then
  SYST=`/bin/uname -s`
  MACHINE=`/bin/uname -m`
  VERSION=`/bin/uname -v`
  MAJ=`/bin/uname -r`
else
if [ -f /usr/5bin/uname ]
then
  SYST=`/usr/5bin/uname -s`
  MACHINE=`/usr/5bin/uname -m`
  VERSION=`/usr/5bin/uname -v`
  MAJ=`/usr/5bin/uname -r`
else
  SYST=`uname -s`
  MACHINE=`uname -m`
  VERSION=`uname -v`
  MAJ=`uname -r`
fi
fi

echo SYST=$SYST MACHINE=$MACHINE VERSION=$VERSION MAJ=$MAJ

case $SYST@@$MACHINE in
    *@@sun4*)
	case $MAJ in
	    4.*)
        	PATH="$TEXMF/bin/sparc_sunos4.1:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    5.*)
        	PATH="$TEXMF/bin/sparc_solaris:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    *)
		echo "TeX V3.1415 non genere pour cette architecture"
		;;
	esac
	;;

    Linux@@sparc)
      	PATH="$TEXMF/bin/sparc_linux:$PATH" ; export PATH
	TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
	echo "FIN"
	;;

    AIX@@*|BOSX@@*)
	case $VERSION in
	    3)
		PATH="$TEXMF/bin/rs6000_aix3:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    4)
        	PATH="$TEXMF/bin/rs6000_aix4:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    *)
		echo "TeX V3.1415 non genere pour cette version d'AIX"
		;;
	esac
	;;

    HP-UX@@*)
	case $MAJ in
	    *.09.*)
		PATH="$TEXMF/bin/hp9000_hpux9:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    *.10.*)
		PATH="$TEXMF/bin/hp9000_hpux10:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    *)
		echo "TeX V3.1415 non genere pour cette version d'HPUX"
		;;
	esac
	;;

    IRIX@@*)
	case $MAJ in
	    4.*)
		PATH="$TEXMF/bin/sgi_irix4:$PATH" ; export PATH
		;;
	    5.*)
		PATH="$TEXMF/bin/sgi_irix5:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    6.*)
		PATH="$TEXMF/bin/sgi_irix6:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	esac
	;;

    OSF1@@alpha)
    	PATH="$TEXMF/bin/alpha_osf1:$PATH" ; export PATH
	TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
	echo "FIN"
	;;

    ULTRIX@@RISC)
    	PATH="$TEXMF/bin/dec3100_ultrix:$PATH" ; export PATH
	TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
	echo "FIN"
	;;

    *@@i*86*)
	case $SYST in
	    SunOS)
		PATH="$TEXMF/bin/i86_solaris:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	    Linux)
		PATH="$TEXMF/bin/i86_linux:$PATH" ; export PATH
		TEXMFCNF=$TEXMF/web2c ; export TEXMFCNF
		echo "FIN"
		;;
	esac
	;;

    *)
	echo "TeX V3.1415 non gnr pour cette machine..."
	exit 1
	;;
esac

# Repertoire ini, utilise seulement pour Irix 4

if [ ".$TEXMFCNF" = "." ]
then
  INDEXSTYLE=.:$TEXMF/tex/latex2e/indexstyles:$TEXMF/latex209/indexstyles ; export INDEXSTYLE
  BIBINPUTS=.:$TEXMF/bibtex/bib ; export BIBINPUTS
  BSTINPUTS=.:$TEXMF/bibtex/bst ; export BSTINPUTS
  TEXINPUTS=.:$TEXMF/tex// ; export TEXINPUTS
  TEXPOOL=$TEXMF/ini ; export TEXPOOL
  TEXFONTS=.:$TEXMF/fonts/postscript/tfm:$TEXMF/fonts/tfm ; export TEXFONTS
  TEXFORMATS=.:$TEXMF/ini ; export TEXFORMATS
  MFBASES=.:$TEXMF/ini ; export MFBASES
  MFINPUTS=.:$TEXMF/mf//:$TEXMF/fonts/src// ; export MFINPUTS
  MFPOOL=$TEXMF/ini ; export MFPOOL
  PKFONTS=.:$TEXMF/fonts/postscript/pk:$TEXMF/fonts/tmp/pk//:$TEXMF/fonts/pk// ; export PKFONTS
  TEXCONFIG=.:$HOME:$TEXMF/dvips ; export TEXCONFIG
  DVIPSHEADERS=.:$TEXMF/dvips:$TEXMF/fonts/postscript/type1 ; export DVIPSHEADERS
  VFFONTS=.:$TEXMF/fonts/postscript/vf:$TEXMF/fonts/vf ; export VFFONTS
  TEXPICTS=.:$TEXMF/tex/ps ; export TEXPICTS
  GFFONTS=.:$TEXMF/fonts/gf ; export GFFONTS
fi

MTPK_DESTROOT=$TEXMF/fonts ; export MTPK_DESTROOT
MTP_MAPFILE=$TEXMF/dvips/psfonts.map ; export MTP_MAPFILE
